> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leadfast.vip/llms.txt
> Use this file to discover all available pages before exploring further.

# Get one match



## OpenAPI

````yaml /openapi/leadfast-api-v1.json get /matches/{id}
openapi: 3.1.0
info:
  title: LeadFast API
  version: 1.0.0
  description: >-
    Read-only API for LeadFast matches, product profile and searches. The same
    core backs the MCP server.
servers:
  - url: https://leadfast.vip/api/v1
security:
  - bearerAuth: []
paths:
  /matches/{id}:
    get:
      summary: Get one match
      operationId: getMatch
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The match
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MatchDetail'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          description: No match with that id
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          $ref: '#/components/responses/RateLimited'
components:
  schemas:
    MatchDetail:
      allOf:
        - $ref: '#/components/schemas/Match'
        - type: object
          required:
            - match_reason
            - destination_results
          properties:
            match_reason:
              type: string
            destination_results:
              type: array
              items:
                type: object
                required:
                  - destination
                  - state
                properties:
                  destination:
                    type: string
                    enum:
                      - slack
                      - telegram
                      - email
                      - webhook
                  state:
                    type: string
                    enum:
                      - pending
                      - accepted
                      - failed
                  issue:
                    type: boolean
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
    Match:
      type: object
      required:
        - id
        - subreddit
        - title
        - url
        - match_score
        - band
        - published_at
        - seen_at
      properties:
        id:
          type: string
        subreddit:
          type: string
        title:
          type: string
        excerpt:
          type: string
        url:
          type: string
          format: uri
        match_score:
          type: integer
          minimum: 0
          maximum: 100
        band:
          type: string
          enum:
            - strong
            - possible
            - research
        suggested_reply:
          type:
            - string
            - 'null'
        delivery:
          type: string
          enum:
            - sent
            - not-sent
        delivered_to:
          type: array
          items:
            type: string
        delivery_latency_seconds:
          type:
            - integer
            - 'null'
        published_at:
          type: string
          format: date-time
        seen_at:
          type: string
          format: date-time
  responses:
    Unauthorized:
      description: Missing, revoked or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    RateLimited:
      description: More than 60 requests per minute for this key
      headers:
        Retry-After:
          schema:
            type: integer
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: lf_...
      description: API key created in Integrations → API & agents.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.